import { updateContextFile } from '../context.js';
import { branchIdFromProps } from '../utils/enrichers.js';
export const command = 'set-context';
export const describe = 'Set the current context';
export const builder = (argv) => argv.usage('$0 set-context [options]').options({
    'project-id': {
        describe: 'Project ID',
        type: 'string',
    },
    branch: {
        describe: 'Branch ID or name',
        type: 'string',
    },
});
export const handler = async (props) => {
    const branchId = await branchIdFromProps(props);
    const context = {
        projectId: props.projectId,
        branchId,
    };
    updateContextFile(props.contextFile, context);
};
