export * from './api.gen';

import { Api, ApiConfig } from './api.gen';

export const createApiClient = <SecurityDataType = unknown>(
  config: ApiConfig<SecurityDataType> & {
    apiKey: string;
  },
) =>
  new Api<SecurityDataType>({
    ...config,
    headers: {
      ...config.headers,
      Authorization: `Bearer ${config.apiKey}`,
    },
  });
